Open topic with navigation

# Durable Details Panel

The Durable details panel presents the parameters of a static durable or a dynamic durable template. In edit mode, you can modify the parameter values.

From the left menu, select Stores. Select the left arrow above a store to display the durables. Select the three dots above a durable then select View Details.

The title of the panel indicates the location and name of the durable or template: Store / Durable.

For consequences of modifying this configuration, see Persistence Modifications: Store and Durable.

For background information, see Durable Behavior.

TTL Settings

GUI Parameter | Description
--- | ---
Message Time to Live | Optional. This parameter limits persistence service memory growth by limiting the time (in seconds) that messages remain in the durable. When a message arrives in the durable, a timer counts this interval. The persistence service can delete that message at any time after the interval elapses. Zero is a special value, indicating no time limit on messages in this durable. When absent, the default value is zero. For further details, see Persistence Limits
Durable Time to Live | Optional. This parameter limits persistence service memory growth by limiting the time (in seconds) that a dynamic durable without any subscribers can remain in the store. When a dynamic durable no longer has any connected subscribers, a timer counts this interval. The persistence service can delete the durable at any time after the interval elapses. During the interval, the presence of any subscriber stops the timer and prevents deletion. Note: Using this feature weakens the quality of service of the dynamic durable. The durable no longer assures delivery to clients that disconnect without closing subscribers. Zero is a special value, indicating no time limit on dynamic disables without subscribers. When absent, the default value is zero. For further details, see Persistence Limits.
Message Retention Time | Acknowledged messages may be retained for this amount of time (in seconds), as measured from the time when the message was published. Zero is a special value indicating that message retention is disabled. When absent, the default value is zero. For further details, see Retention Time

Limits and Discard Policy Settings

GUI Parameter | Description
--- | ---
Message Limits | Optional. This parameter limits persistence service memory growth by limiting the number of messages in a durable. When a message arrives, the persistence service checks the number of messages in the durable. If the new message would exceed the limit, the service discards a message (see the discard parameter). A value of 0 indicates no limit on the number of messages in this durable. (When a durable discards the newest message, the publisher does not throw an exception.) You can set this parameter for static durables and for dynamic durable templates. If you change its value on a dynamic durable template, all of that template's individual dynamic durables reflect the new behavior. For further details, see Persistence Limits.
Byte Limit | Optional. This parameter limits persistence service memory growth by limiting the number of bytes in a durable. When a message arrives, the persistence service checks the bytes in the durable to ensure the total message size in a durable does not increase continuously past the durable byte limit. If the new message would exceed the limit, the service discards a message (see the discard parameter) and logs a warning. A value of `0` indicates no limit on the number of bytes in this durable. For further details, see Persistence Limits.
Discard Policy | With the toggle button, you can set this parameter to govern the message discard behavior of the message limit or byte limit parameter. The durable can discard either its oldest message or the new message. You can set this parameter for static durables and for dynamic durable templates. If you change its value on a dynamic durable template, all of that template's individual dynamic durables reflect the new behavior.
Maximum Delivery | Applies only to shared durables and standard durables with prefetch. This parameter limits the number of times that a persistence service will attempt to deliver each message in the shared durable. Zero is a special value, indicating no limit on delivery attempts. Administrators can this set parameter to zero or any positive integer strictly greater than one. (The value 1 is invalid.) When absent, the default value is zero. Note: Robust message callback methods verify field data types before operating on field data content. Nonetheless, sometimes a message with unexpected data content can cause a subscribing application to abruptly exit. When the persistence service repeatedly delivers such a message to the subscribers of a shared durable, it could potentially cause all the subscribing applications to exit. To limit the damage that such messages can cause, set this parameter to a non-zero value that is less than the expected number of subscribed applications

Prefetch Settings

GUI Parameter | Description
--- | ---
Prefetch Count | With prefetch enabled, when a subscriber is ready, the store delivers a portion of the message stream. This value, a positive integer, limits the number of messages in a portion. To disable prefetch, supply a value of `0`. Prefetch can only be disabled for standard durables. When prefetch is disabled, a direct path transport between publisher and subscriber is the primary means of message delivery. For more information, see Durable Prefetch Count. You cannot enable or disable prefetch after a durable configuration has been deployed to the FTL server. However, you can still change the prefetch value.

Swap Settings

GUI Parameter | Description
--- | ---
Swap Byte Limit | Optional. If message swapping is enabled, set a threshold above which messages are swapped to disk to keep store memory use limited. Choose one of the following options. Swap Everything: All messages are swapped. Do Not Swap: The persistence service may keep all messages in memory. Swap After: The persistence service may keep messages in memory, up to the specified limit in bytes. If disk_swap is set to false for the persistence cluster, this parameter is ignored. Note: For shared durables or standard durables with prefetch, setting this value to a higher limit can improve throughput in some cases.

Acknowledge Batch Settings

GUI Parameter | Description
--- | ---
Batch Size | In asynchronous acknowledgment mode, each client immediately sends accumulated acknowledgments when the number of waiting acknowledgments exceeds this number, even if the batch time interval has not elapsed. This setting only applies to durables or durable templates with asynchronous acknowledgment mode.
Batch Timeout | In asynchronous acknowledgment mode, each client immediately sends accumulated acknowledgments when the oldest acknowledgment has waited for this interval, in seconds, even before exceeding the batch count. This setting only applies to durables or durable templates with asynchronous acknowledgment mode.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO FTL® - Enterprise Edition

Copyright © 2009-2024. Cloud Software Group, Inc. All Rights Reserved.